GPODDER-BACKUP(1)

NAME
gpodder-backup - Backup and restore utility for gPodder user data

SYNOPSIS
gpodder-backup [--create|--extract] <archive.gpo.tar.gz> [options] gpodder-backup --purge

DESCRIPTION

This utility can be used to create a dump of the current gPodder data (configuration files + downloads), optionally skipping the real contents of the download folder (for submitting your data to a bug report without having to transfer lots of data).

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-c <FILE>, --create=<FILE>
    Create a new archive

-x <FILE>, --extract=<FILE>
    Extract an existing archive

-f, --fake-downloads
    Do not store contents of downloaded files

-n, --no-covers
    Do not include cover files in archive

-D <DIR>, --destination=<DIR>
    Extract downloads in different folder

-P, --purge
    Remove current data (can be combined with --extract)

USAGE FOR BUG REPORTING

This command is useful if you want to report a bug in gPodder:

gpodder-backup --create bug123.gpo.tar.gz --fake-downloads
    Backup your current data to file bug123.gpo.tar.gz, but don't store download data (create zero-size dummy files instead). You can then attach bug123.gpo.tar.gz to the bug report.

If you are instructed to try gPodder from a "clean state", you can use the following command (be sure to backup your data before!):

gpodder-backup --purge
    Remove all gPodder data, so you can start from a clean state

EXAMPLES

gpodder-backup --create today.gpo.tar.gz
    Backup your current data to file today.gpo.tar.gz

gpodder-backup --extract mybackup.gpo.tar.gz
    Restore (without purging) the contents of mybackup.gpo.tar.gz

gpodder-backup --extract default.gpo.tar.gz --purge
    Remove current data, then restore the contents of default.gpo.tar.gz

gpodder-backup --purge
    Remove all gPodder data, so you can start from a clean state

AUTHOR
gpodder-backup was written by Thomas Perl (thp@gpodder.org)